/*
 * @author  xamidev <xamidev@riseup.net>
 * @brief   Date helper functions
 * @license GPL-3.0-only
 */

#ifndef DATE_H
#define DATE_H

#include <stdint.h>

struct date {
    uint64_t year;
    uint8_t month;
    uint8_t day;

    uint8_t hour;
    uint8_t minute;
    uint8_t second;
};

struct date date_timestamp_to_date(uint64_t timestamp);
struct date date_now();

#endif